<div ng-show="mainContainer">

<!-- Page Heading -->
<div class="row mar-20" xmlns="http://www.w3.org/1999/html">
    <div class="col-lg-8">
        <h1><a ui-sref="dashboard.orders"> Studies </a> / <small class="small"> Study : {{ order.accession_id }}</small></h1>

        <small ng-if="order.status==0" class="label label-warning"> {{ order.status_text }}</small>
        <small ng-if="order.status==1" class="label label-success"> {{ order.status_text }}</small>
        <small ng-if="order.status==2" class="label label-info"> {{ order.status_text }}</small>
        <small ng-if="order.status==3" class="label label-primary"> {{ order.status_text }}</small>
        <small ng-if="order.status==4" class="label label-warning"> {{ order.status_text }}</small>
        <small ng-if="order.status==5" class="label label-danger"> {{ order.status_text }}</small>
        <small ng-if="order.status==6" class="label label-primary"> {{ order.status_text }}</small>
        
        <a ng-show="order.zipfile" href="{{ order.zipfile | AppStorage }}"> <i class="fa fa-lg fa-download"></i> Download Study</a>
    </div>
    <div class="col-lg-4" ng-if="order.status=='0'">
        <span class="btn btn-lg btn-success  btn-file pull-right btn-mar">
            <i class="fa fa-upload fa-plus-padd"></i>Upload
            <input type="file"  nv-file-select="" options="{{ upload_options }}" uploader="uploader" multiple >
        </span>
    </div>
    <div class="col-lg-4" ng-if="order.meta_status == 2 && ( order.status==1 || order.status==3 ) && user_group!='hospital' && order.provider">
        <a ng-click="startRouting()"   class="btn btn-success btn-lg btn-mar pull-right"><i class="fa fa-cloud-upload"></i>  Start routing </a>
    </div>
    <div class="col-lg-4" ng-if="( order.status=='4' && user_group !='hospital' ) || ( order.radiologist && order.meta_status == 2 )" ng-hide="order.showCreateReport">
        <a class="btn btn-lg btn-primary  btn-mar pull-right" ng-click="order.showCreateReport = !order.showCreateReport">
            <i class="fa fa-file-pdf-o fa-plus-padd"></i>Create Report
        </a>

    </div>
    <div class="col-lg-4" ng-if="order.status==5 && user_group !='hospital'" ng-show="order.showCreateReport">
        <a class="btn btn-lg btn-primary pull-right btn-mar" ng-click="order.showCreateReport = !order.showCreateReport">
            <i class="fa fa-file-pdf-o fa-plus-padd"></i>Report
        </a>
    </div>
</div>
<!-- /.row -->

<!-- Report page button !-->
<div class="row" ng-if="order.status>=5">
    <div class="col-lg-12">
        <a download="{{ order.report_filename | AppStorage }}" href="{{ order.report_filename | AppStorage }}" class="text-info" >
            <i class="fa fa-download"></i> Download report
        </a>  |
        <a ng-show="order.receipt" download="{{ order.receipt | AppStorage }}" href="{{ order.receipt | AppStorage }}" class="text-info" >
            <i class="fa fa-download"></i> Download receipt
        </a>  <k ng-show="order.receipt">| </k>
        <a ng-click="showReportModal()" href="" class="text-info" >
            <i class="fa fa-file-pdf-o"></i> View report
        </a>  |
        <a ng-if="user_group!='hospital'" ng-click="emailToHospital()" href="" class="text-info" >
            <i class="fa fa-envelope"></i> Email report to hospital
        </a>  |
        <a ng-if="user_group=='hospital'" ng-click="openEmailReportModal()" href="" class="text-info" >
            <i class="fa fa-envelope"></i> Email this report
        </a>  |
        <a ng-click="openSMSModal('physician', order.doctor_phone)" href="" class="text-info" >
            <i class="fa fa-mobile"></i> SMS to physician
        </a>  |
        <a ng-if="order.patient.phone" href="" ng-click="openSMSModal('patient', order.patient.phone)" class="text-info" >
            <i class="fa fa-mobile"></i> SMS to patient
        </a>
    </div>
</div>
<!-- create report content !-->
<div class="row" ng-show="order.showCreateReport">
    <form name="reportForm">
        <div class="col-lg-10">
            <header class="panel-heading font-bold">
                  <h4 class="pull-left">Create Report</h4>
                  <a ng-click="order.showCreateReport=!order.showCreateReport"  class="btn btn-warning  pull-right"><i class="fa fa-times"></i>  Cancel</a>

            </header>
            <div class="clearfix"></div>
            <section class="panel panel-default">

                <div class="panel-body">

                    <div class="form-group">
                        <label for="">Report</label>
                        <div text-angular="text-angular"  ng-model="order.report" ></div>

                    </div>
                    <div class="form-group" ng-show="order.radiologist_signature">
                        <label for="">Doctor signature</label>
                        <div class="clearfix"> </div>
                        <img width="200px" ng-show="order.radiologist_signature" src="{{ order.radiologist_signature | AppStorage }}">
                    </div>
                    <div class="form-group" ng-show="order.provider">
                        <label for="">Doctor's signature</label>
                        <div class="block">
                            <div class="row" ng-show="order.doctor_signatures">
                              <div class="col-sm-6 col-md-3 col-lg-3" ng-repeat="item in order.doctor_signatures">
                                <div class="thumbnail">
                                  <button type="button" style="position: absolute" class="btn btn-danger btn-xs" ng-click="removeDoctorSignatureByID(item.id, index)">
                                                <span class="glyphicon glyphicon-trash"></span> Remove
                                            </button>
                                  <img  ng-src="{{ item.signature | AppStorage }}">
                                  
                                </div>
                              </div>
                            </div>


                            <table class="table" ng-show="doctor_signature_uploader.queue.length">
                                <thead>
                                    <tr>
                                        <th width="50%">Name</th>
                                        <th ng-show="uploader.isHTML5">Size</th>
                                        <th ng-show="uploader.isHTML5">Progress</th>
                                        <th>Status</th>
                                        <th>Actions</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr ng-repeat="item in doctor_signature_uploader.queue">
                                        <td>
                                            <strong ng-hide="item.data.id">{{ item.file.name }}</strong>
                                            <img  class="img-thumbnail" ng-show="item.data.id" ng-src="{{ item.data.signature | AppStorage }}">
                                        </td>
                                        <td ng-show="uploader.isHTML5" nowrap>{{ item.file.size/1024/1024|number:2 }} MB</td>
                                        <td ng-show="uploader.isHTML5">
                                            <div class="progress" style="margin-bottom: 0;">
                                                <div class="progress-bar" role="progressbar" ng-style="{ 'width': item.progress + '%' }"></div>
                                            </div>
                                        </td>
                                        <td class="text-center">
                                            <span ng-show="item.isSuccess"><i class="glyphicon glyphicon-ok"></i></span>
                                            <span ng-show="item.isCancel"><i class="glyphicon glyphicon-ban-circle"></i></span>
                                            <span ng-show="item.isError"><i class="glyphicon glyphicon-remove"></i></span>
                                        </td>
                                        <td nowrap>
                                            <button type="button" class="btn btn-success btn-xs" ng-click="item.upload()" ng-disabled="item.isReady || item.isUploading || item.isSuccess">
                                                <span class="glyphicon glyphicon-upload"></span> Upload
                                            </button>
                                            <button type="button" class="btn btn-warning btn-xs" ng-click="item.cancel()" ng-disabled="!item.isUploading">
                                                <span class="glyphicon glyphicon-ban-circle"></span> Cancel
                                            </button>
                                            <button type="button" class="btn btn-danger btn-xs" ng-click="removeDoctorSignature(item)">
                                                <span class="glyphicon glyphicon-trash"></span> Remove
                                            </button>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>

                            <span class="btn btn-lg btn-success  btn-file">
                                <i class="fa fa-upload fa-plus-padd"></i>Upload
                                <input type="file"  nv-file-select="" options="{{ doctor_signature_upload_options }}" uploader="doctor_signature_uploader" multiple >
                            </span>
                            <!--
                            <a ng-show="order.doctor_signature" ng-click="order.doctor_signature=''" class="btn btn-lg btn-danger"> <i class="fa fa-trash-o"></i>  Remove </a>
                            <div class="pull-right progress ah-progress-bar"  ng-show="doctor_signature_uploader.isUploading"  >
                                <div class="progress-bar progress-bar-info" role="progressbar" ng-style="{ 'width': doctor_signature_uploader.progress + '%' }"> {{ doctor_signature_uploader.progress }} %</div>
                            </div>!-->
                        </div>
                        <!--
                        <br/>
                        <img width="200px" ng-show="order.doctor_signature" src="{{ order.doctor_signature | AppStorage }}">!-->
                    </div>
                </div>
            </section>

        </div>
        <div class="col-lg-10">
            <a ng-click="order.showCreateReport=!order.showCreateReport"  class="btn btn-warning btn-lg"><i class="fa fa-times"></i>  Cancel</a>
            <button type="submit" ng-click="createReport()"   class="btn btn-lg btn-info"><i class="fa fa-file-pdf-o fa-plus-padd"></i>Create Report</button>
        </div>
    </form>
</div>
<div class="row" ng-if="order.status=='0'" ng-hide="order.showCreateReport">
    <div class="col-lg-8"  ng-show="uploader.queue.length">
        <span class="block ">
            <a ng-click="download_all_dicoms()"> <i class="fa fa-download"></i> Download all dicoms</a>
        </span>
        <section class="panel panel-info portlet-item">

                <header class="panel-heading font-bold">
                      <h4>Dicom Images</h4>
                </header>
                <section  class="panel-body">
                    <div ng-repeat="item in uploader.queue">
                        <article class="media">
                            <span class="pull-left thumb-sm"><img src="/static/new-dashboard/images/dcm.png"></span>
                            <div class="media-body">
                              <!--      
                              <div class="pull-right media-xs text-center text-muted">
                                <strong class="h4">{{ item.file.size/1024/1024|number:2 }} MB</strong><br>

                              </div>
                              !-->
                              <a href="javascript:void(0)" class="h4">{{ item.file.name }}</a>
                              <!--<span class="block " ng-show="item.isSuccess"> <a href="#"> <i class="fa fa-download"></i> Download</a></span>!-->
                              <div class="pull-right progress ah-progress-bar" ng-hide="item.isSuccess"  >
                                  <div class="progress-bar progress-bar-info" role="progressbar" ng-style="{ 'width': item.progress + '%' }"> {{ item.progress }} %</div>
                              </div>
                            </div>
                        </article>

                        <div ng-if="!$last" class="line pull-in"></div>
                    </div>

                </section>
          </section>
    </div>
</div>

<!--
<div class="row" ng-if="order.dicoms.length" ng-hide="order.showCreateReport">
    <div class="col-lg-12" ng-show="order.dicoms.length">
        <accordion close-others="oneAtATime">
            <accordion-group class="h4 panel panel-info portlet-item" heading="{{ order.dicoms.length }} Dicom Images" is-open="status.isFirstOpen" is-disabled="status.isFirstDisabled">

                    <section  class="panel-body">
                    <div ng-repeat="item in order.dicoms">
                      <article class="media">
                        <span class="pull-left thumb-sm"><img src="/static/new-dashboard/images/dcm.png"></span>
                        <div class="media-body">
                          <a href="{{ item.file | AppStorage }}" class="h4">{{ item.name }}</a>
                          <span class="block "> <a href="{{ item.file | AppStorage }}"> <i class="fa fa-download"></i> Download</a>
                          </span>

                        </div>
                      </article>

                      <div ng-if="!$last" class="line pull-in"></div>

                  </div>

                </section>

            </accordion-group>
        </accordion>

    </div>
</div>
!-->

<div class="row order-form" ng-if="order.guid" id="order-details" ng-hide="order.showCreateReport">
    <form novalidate name="orderForm" >
        <div class="col-sm-4">
          <header class="panel-heading font-bold">
              <h4>Study Details</h4>
          </header>
          <section class="panel panel-default">

            <div class="panel-body">
                <!--
                <div class="form-group">
                    <label for="">Accession ID *</label>
                    <input type="text"  name="accession" ng-model="order.accession_id" class="form-control" id="" placeholder="Enter Accession ID" required="">
                </div>
                !-->
                <div class="form-group">
                    <label for="modality">Modality *</label>
                    <select class="form-control" ng-model="order.modality" required="">
                        <option>Select Modality</option>
                        <option value="CT" ng-selected="order.modality=='CT'" >CT - Computed Tomography</option>
                        <option value="NM" ng-selected="order.modality=='NM'" >NM - Nuclear Medicine</option>
                        <option value="MR" ng-selected="order.modality=='MR'" >MR - Magnetic Resonance Imaging</option>
                        <option value="DS" ng-selected="order.modality=='DS'" >DS - Digital Subtraction Angiography</option>
                        <option value="DR" ng-selected="order.modality=='DR'" >DR</option>
                        <option value="US" ng-selected="order.modality=='US'" >US - Ultrasound</option>
                        <option value="OT" ng-selected="order.modality=='OT'" >OT - Other</option>
                        <option value="HSG" ng-selected="order.modality=='HSG'" >HSG - Hysterosalpingogram</option>
                        <option value="CR" ng-selected="order.modality=='CR'" >CR - Computed Radiography </option>
                    </select>
                </div>
                <div class="form-group">
                    <label for="modality">Priority *</label>
                    <select class="form-control" ng-model="order.priority" required="">
                        <option value="Routine" ng-selected="order.priority=='Routine'" >Routine</option>
                        <option value="STAT" ng-selected="order.priority=='STAT'" >STAT</option>
                    </select>
                </div>
                <div class="form-group">
                    <label for="modality">Body Part Examined *</label>
                    <input  type="text"  name="BodyPartExamined" ng-model="order.metas.BodyPartExamined" class="form-control"  placeholder="Body Part Examined" required="">
                </div>
                <div class="form-group">
                    <label for="modality">Study Date *</label>
                    <!--
                    <input  type="text"  name="studyDate" ng-model="order.metas.StudyDate" class="form-control"  placeholder="yyyymmdd" required ng-pattern="dateFormat">
                    <p class="help-block">Valid date format : yyyymmdd</p>
                    <span class="has-block has-error text-danger" ng-show="orderForm.studyDate.$dirty && orderForm.studyDate.$invalid">Invalid date format</span>
                    !-->

                     <p class="input-group">
                      <input type="text" class="form-control" datepicker-popup="{{format}}" ng-model="order.StudyDate" is-open="order.studydate_opened"   ng-required="true" close-text="Close" />
                      <span class="input-group-btn">
                        <button type="button" class="btn btn-default" ng-click="openStudyDatepicker($event)"><i class="glyphicon glyphicon-calendar"></i></button>
                      </span>
                    </p>
                </div>
                <div class="form-group">
                    <label for="modality">Study Time *</label>
                    <!--
                    <input  type="text"  name="studyTime" ng-model="order.metas.StudyTime" class="form-control"  placeholder="Enter Study time" ng-pattern="timeFormat" required="">
                    <p class="help-block">Valid time format : hhmmss</p>
                    <span class="has-block has-error text-danger" ng-show="orderForm.studyTime.$dirty && orderForm.studyTime.$invalid">Invalid time format</span>
                    !-->
                    <timepicker ng-model="order.StudyTime" ng-change="changed()" hour-step="1" minute-step="1" show-meridian="true" ng-required="true"></timepicker>

                </div>
                <div class="form-group">
                    <label for="modality">Study Description *</label>
                    <input  name="studyDescription" ng-model="order.metas.StudyDescription" class="form-control"  placeholder="Enter Study Description" required="" maxlength="60" />
                </div>
                <!--
                <div class="form-group">
                    <label for="modality">Date of Secondary Capture *</label>
                    <input  type="text"  name="dateofSecondaryCapture" ng-model="order.metas.DateofSecondaryCapture" class="form-control"  placeholder="yyyymmdd"  ng-pattern="dateFormat" required="">
                    <p class="help-block">Valid date format : yyyymmdd</p>
                    <span class="has-block has-error text-danger" ng-show="orderForm.dateofSecondaryCapture.$dirty && orderForm.dateofSecondaryCapture.$invalid">Invalid date format</span>
                </div>

                <div class="form-group">
                    <label for="modality">Time of Secondary Capture *</label>
                    <input  type="text"  name="timeofSecondaryCapture" ng-model="order.metas.TimeofSecondaryCapture" class="form-control"  placeholder="Time of Secondary Capture" ng-pattern="timeFormat" required="">
                    <p class="help-block">Valid time format : hhmmss</p>
                    <span class="has-block has-error text-danger" ng-show="orderForm.timeofSecondaryCapture.$dirty && orderForm.timeofSecondaryCapture.$invalid">Invalid time format</span>
                </div>
                !-->

                <div class="form-group">
                    <label for="modality">Series Description</label>
                    <input   name="seriesDescription" ng-model="order.metas.SeriesDescription" class="form-control"  placeholder="Series Description" ng-disabled="true" /> 
                </div>

                <div class="form-group">
                    <label for="modality">Patient History *</label>
                    <textarea   name="seriesDescription" ng-model="order.metas.AdditionalPatientHistory" class="form-control"  placeholder="Patient history" rows="9" required=""></textarea> 
                </div>

                

            </div>
          </section>

            

        </div>

        <div class="col-lg-4">
            <header class="panel-heading font-bold">
              <h4>Patient Details</h4>
            </header>
            <section class="panel panel-default">

                <div class="panel-body">
                    
                    <div class="form-group" ng-show="order.patient.patient_id">
                        <label for="">Patient ID</label>
                        <pre>{{ order.patient.patient_id }}</pre>
                    </div> 

                    <div class="form-group">
                        <label for="">Name</label>
                        <input type="text"  name="accession" ng-model="order.patient.name" class="form-control" id="" placeholder="Enter patient Name">
                    </div>
                    <div class="form-group">
                        <label for="">Date of birth *</label>
                        <!--
                        <input type="text"  name="dateOfbirth" ng-model="order.patient.date_of_birth" class="form-control" id="" placeholder="Enter patient date of birth" ng-pattern="dateFormat" required="">
                        <p class="help-block">Valid date format : yyyymmdd</p>
                        <span class="has-block has-error text-danger" ng-show="orderForm.dateOfbirth.$dirty && orderForm.dateOfbirth.$invalid">Invalid date format</span>
                        !-->
                        <p class="input-group">
                          <input type="text" class="form-control" datepicker-popup="{{format}}" ng-model="order.date_of_birth" is-open="order.dob_opened"   ng-required="true" close-text="Close" />
                          <span class="input-group-btn">
                            <button type="button" class="btn btn-default" ng-click="openDOBDatepicker($event)"><i class="glyphicon glyphicon-calendar"></i></button>
                          </span>
                        </p>

                    </div>
                    <div class="form-group">
                        <label for="">Gender</label>
                        <select class="form-control" ng-model="order.patient.gender" required="">
                            <option> Select Gender</option>
                            <option value="M" ng-selected="order.patient.gender=='M'">M</option>
                            <option value="F" ng-selected="order.patient.gender=='F'">F</option>
                            <option value="O" ng-selected="order.patient.gender=='O'">O</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label for="">Phone</label>
                        <input type="text"  name="accession" ng-model="order.patient.phone" class="form-control" id="" placeholder="Enter patient phone">
                    </div>
                    
                    <!--
                    <div class="form-group">
                        <label for="">Age *</label>
                        <input type="text"  name="age" ng-model="order.patient.age" class="form-control" id="" placeholder="Enter patient age"  ng-pattern="ageFormat">
                        <p class="help-block">Valid age format :  xxxD or W or M or Y</p>
                        <span class="has-block has-error text-danger" ng-show="orderForm.age.$dirty && orderForm.age.$invalid">Invalid age format</span>
                    </div>  !-->

                </div>
            </section>


            <header class="panel-heading font-bold">
              <h4>Hospital</h4>
            </header>
            <section class="panel panel-default">

                <div class="panel-body">

                    <div class="form-group" ng-show="order.hospital_type!=3">    
                        <label for="">Referring physician</label>
                        <select class="form-control" ng-model="order.doctor">
                            <option  ng-repeat="doctor in doctors" value="{{ doctor.id }}" ng-selected="doctor.id==order.doctor">{{ doctor.name }}</option>
                        </select>
                    </div>

                </div>
            </section>

            <header class="panel-heading font-bold">
              <h4>Radiology Services</h4>
            </header>
                
            <section class="panel panel-default">
                <div class="panel-body">
                    <!--
                    <div class="form-group">
                        <div class="btn-group">{{ serviceType}}
                            <label class="btn btn-default" ng-model="radioBtn.serviceType" btn-radio="'provider'" >
                                Provider  
                                <i ng-if="radioBtn.serviceType=='provider'" class="fa fa-check-square"></i> 
                                <i ng-if="radioBtn.serviceType!='provider'" class="fa fa-square"></i> 
                            </label>
                            <label class="btn btn-default" ng-model="radioBtn.serviceType" btn-radio="'radiologist'" >
                                Radiologist 
                                <i ng-if="radioBtn.serviceType=='radiologist'" class="fa fa-check-square"></i> 
                                <i ng-if="radioBtn.serviceType!='radiologist'" class="fa fa-square"></i> 
                            </label>
                            
                        </div>
                    </div>!-->
                    <div class="form-group" ng-show="radioBtn.serviceType=='provider'">
                        <label for="">Provider</label>
                        <select class="form-control" ng-model="order.provider">
                            <option  ng-repeat="provider in providers" value="{{ provider.id }}" ng-selected="provider.id==order.provider">{{ provider.name }}</option>
                        </select>
                    </div>
                    <div class="form-group" ng-show="radioBtn.serviceType=='radiologist'">
                        <div ng-show="order.hospital_type!=3">
                            <label for="">Radiologist</label>
                            <select class="form-control" ng-model="order.radiologist">
                                <option  ng-repeat="radiologist in radiologists" value="{{ radiologist.id }}" ng-selected="radiologist.id==order.radiologist">{{ radiologist.name }}</option>
                            </select>
                        </div>

                        <div ng-show="order.hospital_type==3">
                            <label for="">Radiologist</label>
                            
                            <input 
                                type="text" 
                                ng-model="order.radiologist_name" 
                                placeholder="Search radiologist ..." 
                                typeahead="radiologist as radiologist.name for radiologist in getRadiologist($viewValue)" 
                                typeahead-template-url="docTemlpete.html"
                                typeahead-on-select="addRadiologistFromList($item, $model, $label)"
                                class="form-control" />
                            
                        </div>
                    </div>
                </div>
            </section>


        </div>
        <div class="col-lg-12" ng-if="user_group!='doctor'">
        <!--ng-disabled="!orderForm.$valid"!-->
            <button ng-if="order.status==0" ng-click="submitOrder()" type="submit"  class="btn btn-lg btn-info"><i class="fa fa-pencil-square"></i>  Confirm Tag</button>

            <button ng-if="order.status==5 && user_group!='hospital'" ng-click="openOrderDeliveredModal()" type="submit"  class="btn btn-lg btn-info"><i class="fa fa-check"></i>  Report Delivered </button>
            <a ui-sref="dashboard.orders"  class="btn btn-warning btn-lg"><i class="fa fa-times"></i>  Cancel</a>
            <a ng-click="openDeleteModal()" class="btn btn-danger btn-lg"><i class="fa fa-trash-o"></i>  Delete</a>

        </div>
    </form>
</div>

<!-- include modals !-->

<div ng-include="'/static/client/app/templates/order/confirm-modal.html'"></div>

<div ng-include="'/static/client/app/templates/order/sms-modal.html'"></div>
<div ng-include="'/static/client/app/templates/order/order-delivered-modal.html'"></div>
<div ng-include="'/static/client/app/templates/order/email-modal.html'"></div>
<div ng-include="'/static/client/app/templates/order/view-report-modal.html'"></div>
<div ng-include="'/static/client/app/templates/order/add-doctor-modal.html'"></div>

</div>


<div ng-hide="mainContainer">

<div  role="dialog" class="modal fade ng-isolate-scope in order-modal-layout"  style="z-index: 1050; display: block;">
    <div class="modal-dialog modal-lg" >
        <div class="modal-content" >
            <div class="modal-header ng-scope">
                <div ng-show="showReport" style="width:400px;" text-angular="text-angular"  ng-model="order.report" class="order-report-layout" ></div>                
            </div>
            <div id="loading">
                <div id="loading-image" >
                    <h2 class="dicom_percent">0%</h2>
                    <img src="/static/new-dashboard/images/ajax-loader.gif" alt="Loading..." />
                </div>
            </div>
            
            <div id="testing" class="dicom-viewer">                        
                        <div class="navbar navbar-default dicom-navbar">
                            <div class="dicom-navbar-container">                                
                                <div class="btn-group">
                                    <button type="button" class="btn btn-sm btn-default" data-container='body'><span class="fa fa-sun-o fa-3x"></span><span class="btn-text">WW/WC</span></button>
                                    <button type="button" class="btn btn-sm btn-default" data-container='body'><span class="fa fa-adjust fa-3x"></span><span class="btn-text">Invert</span></button>
                                    <button type="button" class="btn btn-sm btn-default" data-container='body'><span class="fa fa-search fa-3x"></span><span class="btn-text">Zoom</span></button>
                                    <button type="button" class="btn btn-sm btn-default" data-container='body'><span class="fa fa-arrows fa-3x"></span><span class="btn-text">Pan</span></button>
                                    <button type="button" class="btn btn-sm btn-default" data-container='body'><span class="fa fa-bars fa-3x"></span></span><span class="btn-text">Stack Scroll</span></button>
                                    <button type="button" class="btn btn-sm btn-default" data-container='body'><span class="fa fa-arrows-v fa-3x"></span></span><span class="btn-text">Length</span></button>
                                    <button type="button" class="btn btn-sm btn-default" data-container='body'><span class="fa fa-dot-circle-o fa-3x"></span></span><span class="btn-text">Pixel Probe</span></button>
                                    <button type="button" class="btn btn-sm btn-default" data-container='body'><span class="fa fa-circle-o fa-3x"></span></span><span class="btn-text">Elliptical ROI</span></button>
                                    <button type="button" class="btn btn-sm btn-default" data-container='body'><span class="fa fa-square-o fa-3x"></span></span><span class="btn-text">Rectangle ROI</span></button>
                                    <button type="button" class="btn btn-sm btn-default" data-container='body'><span class="fa fa-play fa-3x"></span></span><span class="btn-text">Play Clip</span></button>
                                    <button type="button" class="btn btn-sm btn-default" data-container='body'><span class="fa fa-stop fa-3x"></span></span><span class="btn-text">Stop Clip</span></button>                                    
                                </div>
                                <button type="button" class="btn btn-warning btn-sm pull-right dicom-viewer-button-layout" ng-click="mainContainer = !mainContainer" data-dismiss="modal"><i class="fa fa-times fa-3x"></i></span><span class="btn-text">Cancel</span> </button>  

                                <button class="btn btn-sm btn-primary pull-right order-report dicom-viewer-button-layout" ng-click="showReport = !showReport">
                                    <i class="fa fa-file-pdf-o fa-plus-padd fa-3x"></i></span><span class="btn-text">Report</span>
                                </button>
                            </div>
                        </div>
                          <div class="row">
                          <!-- Sidebar
                            <div class="col-lg-2 dicom-sidebar-container">
                              <ul class="dicom-sidebar">
                                  <li>This is sidebar</li>
                                  <li>This is sidebar</li>
                                  <li>This is sidebar</li>
                                  <li>This is sidebar</li>
                                  <li>This is sidebar</li>
                                  <li>This is sidebar</li>
                                  <li>This is sidebar</li>
                                  <li>This is sidebar</li>
                                  <li>This is sidebar</li>
                              </ul>
                            </div>-->
                            <div class="studyContainer col-lg-12" style="height:100%">
                                <div class="studyRow" style="height:100%">
                                    <div class="viewer">
                                        <div class="text-center" >
                                          
                                        </div>
                                        <div class="imageViewer">
                                            <div class="viewportWrapper" style="width:100%;height:100%;position:relative;color: white;display:inline-block;background-color:black;"
                                                 oncontextmenu="return false"
                                                 class='cornerstone-enabled-image'
                                                 unselectable='on'
                                                 onselectstart='return false;'
                                                 onmousedown='return false;'>
                                                <div class="viewport">
                                                </div>
                                                <div class="overlay" style="top:3rem; left:0">
                                                    <div>Patient Name</div>
                                                    <div>Patient Id</div>
                                                    <div>Study Description</div>
                                                    <div>Study Date</div>
                                                    <div class="fps">FPS:</div>
                                                    <div class="renderTime">Render Time:</div>
                                                    <div class="currentImageAndTotalImages">Image #:</div>
                                                    <div>Zoom:</div>
                                                    <div>WW/WC:</div>

                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>                                                    
                    </div>
                </div>                
            </div>
        </div>
    </div>
</div>



